/*!
 * @file xml_serdes.cpp
 * @brief XML SERialization/DESerialization implementation file
 * @author SAGAMI, Tsuyoshi <sagami@brains.co.jp>
 *
 */
#include <sys/types.h>
#include <sys/time.h>

#include <exception>
#include <iostream>
#include <sstream>

#include "xml_serdes.h"

using namespace std;
using namespace boost::serialization;
using namespace boost::archive;
using namespace XmlSerDes;


/* ================================================================ *
 *	XmlSerDes::internal  namespace 
 * ================================================================ */

namespace XmlSerDes {

ByteArray::ByteArray(vector<uint8_t>& buf, const Load& ) 
	: sbuf_(dummy_), lbuf_(buf)
{ 
//	cerr << "Making Byte Array for Loading\n";
}
ByteArray::ByteArray(const vector<uint8_t>& buf, const Save&)
	: sbuf_(buf), lbuf_(dummy_)
{ 
//	cerr << "Making Byte Array for Saving\n";
}
const char ByteArray::SIZE_TAG[] = "n_bytes";
const char ByteArray::DATA_TAG[] = "byte_stream";

} // namespace XmlSerDes

/*
 * Local Variables:
 * mode: c++
 * c-basic-offset: 8
 * tab-width: 8
 * indent-tabs-mode: t
 * End:
 *
 */
