#ifndef  _LOCAL_PATH_PLAN_CONFIG_H__
#define  _LOCAL_PATH_PLAN_CONFIG_H__

#include <vector>
#include <string>

#include "GridMap.h"

class LocalPathPlanConfig{
public:
	/** コンストラクタ
	 */
	LocalPathPlanConfig();

	/** デストラクタ
	 */
	~LocalPathPlanConfig();

	/** データをファイルへ書き出す
	 *
	 * @param[in] filename 書き込むファイル名
	 * @return 成功時は0, 失敗時はそれ以外を返す
	 */
	int SaveToFile(std::string filename);

	/** ファイルらからデータを読み込む
	 *
	 * @param[in] xml 読み込むファイル名
	 * @return 成功時は0, 失敗時はそれ以外を返す
	 */
	int LoadFromFile(std::string filename);

	/** ostream へ << 演算子で内容出力用
	 *
	 * cout << Config; と言った使い方を可能にする.
	 */
	friend std::ostream& operator<<(std::ostream& os, const LocalPathPlanConfig& conf);

	// TODO: メンバを private にして, アクセス用メソッドを実装した方がよい？
	std::string category;             ///< カテゴリ名
	std::string name;                 ///< コンポーネント名
	std::string id;                   ///< コンポーネントID
	std::vector<std::string> receive; ///< 受信するデータのリスト (送信元ID)
	int input_number;                 ///< 入力ポート数
	double timeout;                   ///< タイムアウト設定
	GridMap grid_map;                 ///< 存在確率マップ (area, grid_size, rangeのみ使用)
	float slope;                      ///< ポテンシャルの傾き
	bool gui;                         ///< GUI表示設定
	float goal_radius;	               ///< ゴールの幅

private:
};

#endif //_LOCAL_PATH_PLAN_CONFIG_H__
